Bug 1013922 - Clicking on the translate target box allows user to resize or hide the text area
Clicking on the translate target box allows user to resize or hide the text area
Status: CLOSED WORKSFORME
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: zanata-dev-internal
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 00:20 EDT by Damian Jansen
Modified: 2014-07-28 20:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-28 20:24:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug screenshot (56.19 KB, image/png)
2013-10-01 00:20 EDT, Damian Jansen
no flags Details

  None (edit)
Description Damian Jansen 2013-10-01 00:20:11 EDT
Created attachment 805710 [details]
Bug screenshot

Description of problem:
In Firefox, clicking on the translation target shows resize handles around the textarea and displays two small navigation handles at the top of the screen.
Using these allows the user to resize and even hide the target textarea without being able to get it back until the document is reloaded.

Version-Release number of selected component (if applicable):
3.0

How reproducible:
Easy always

Steps to Reproduce:
1. Open a document (in firefox)
2. Click the target (see location of pointer in screenshot)
3. Move the handles or click the icons at the top of the screen (see circled in screenshot)

Actual results:
Resized / broken target textarea

Expected results:
These shouldn't appear

Additional info:
Apparently it's possible to disable these with
document.designMode = "on"; document.execCommand('enableObjectResizing', false, 'false');
or
_moz_resizing='false'
Comment 1 Patrick Huang 2014-02-06 19:53:31 EST
Tried it. Doesn't seem to work. Mess up the editor.
Comment 2 Patrick Huang 2014-02-06 19:53:49 EST
Firefox is hopeless
Comment 3 Patrick Huang 2014-02-06 20:15:41 EST
adding a position: absolute wrapper around it may be a workaround.
http://stackoverflow.com/a/1929936/345718
Comment 4 Damian Jansen 2014-07-28 20:24:46 EDT
Tested 3.5.0-SNAPSHOT (git-server-3.4.2-201-ge0afdde) - no longer an issue

Note You need to log in before you can comment on or make changes to this bug.